<?php
require_once(SYSTEM_LOGICS . 'mst_exchange_fee/logic.php');

class ControlMstExchangeFee extends LogicMstExchangeFee {

	/*-------------------------------------------------------------------------
	* @ メンバ変数
	-------------------------------------------------------------------------*/

	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {

		try {
		    $this -> checkAvailability("system", function(){
		        echo "<code>Maintenance mode on-going</code>";
		        exit();
		    });
			// アクション実行
			$this -> logic();
			
			if($this -> getType() == TYPE_DETAIL || $this -> getType() == TYPE_UPDATE || $this -> getType() == TYPE_COMPLETE) {		//exchange fee detail
				require_once($this -> getSystemHTML('TEMPLATE_MST_EXCHANGE_FEE_DETAIL_PATH', $this -> dispHTML()));
			}else if($this -> getType() == TYPE_CREATE || $this -> getType() == TYPE_COMPLETE) {
				require_once($this -> getSystemHTML('TEMPLATE_MST_EXCHANGE_FEE_INPUT_PATH', $this -> dispHTML()));
			}else {
				// 画面の表示
				require_once($this -> getSystemHTML('TEMPLATE_MST_EXCHANGE_FEE_PATH', $this -> dispHTML()));
			}	

		} catch (Exception $e) {
			header('Location: /');
		}
	}
}
?>